org.apache.lucene.queryparser.flexible.core.parser

## Interface EscapeQuerySyntax

- All Known Implementing Classes:
    EscapeQuerySyntaxImpl

      public interface EscapeQuerySyntax

  A parser needs to implement `EscapeQuerySyntax` to allow the QueryNode to escape the queries, when the toQueryString method is called.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `EscapeQuerySyntax.Type` Type of escaping: String for escaping syntax, NORMAL for escaping reserved words (like AND) in terms

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharSequence` | `escape(CharSequence text, Locale locale, EscapeQuerySyntax.Type type)`

- - ### Method Detail

    - #### escape

          CharSequence escape(CharSequence text,
                            Locale locale,
                            EscapeQuerySyntax.Type type)

      Parameters:
        `text` - - text to be escaped
        `locale` - - locale for the current query
        `type` - - select the type of escape operation to use
      Returns:
        escaped text

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.